[pve-devel] r5205 - in pve-kernel-2.6.35/trunk: . proxmox-ve

svn-commits at proxmox.com svn-commits at proxmox.com
Mon Oct 4 15:47:16 CEST 2010


Author: dietmar
Date: 2010-10-04 13:47:16 +0000 (Mon, 04 Oct 2010)
New Revision: 5205

Added:
   pve-kernel-2.6.35/trunk/proxmox-ve/
   pve-kernel-2.6.35/trunk/proxmox-ve/changelog.Debian
   pve-kernel-2.6.35/trunk/proxmox-ve/control
   pve-kernel-2.6.35/trunk/proxmox-ve/copyright
   pve-kernel-2.6.35/trunk/proxmox-ve/postinst
   pve-kernel-2.6.35/trunk/proxmox-ve/proxmox-release at proxmox.com.pubkey
Log:


Added: pve-kernel-2.6.35/trunk/proxmox-ve/changelog.Debian
===================================================================
--- pve-kernel-2.6.35/trunk/proxmox-ve/changelog.Debian	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/proxmox-ve/changelog.Debian	2010-10-04 13:47:16 UTC (rev 5205)
@@ -0,0 +1,5 @@
+proxmox-ve-2.6.35 (1.6-1) unstable; urgency=low
+ 
+  * depends on latest available 2.6.35 kernel
+  
+ -- Proxmox Support Team <support at proxmox.com>  Mon, 04 Oct 2010 15:43:28 +0200

Added: pve-kernel-2.6.35/trunk/proxmox-ve/control
===================================================================
--- pve-kernel-2.6.35/trunk/proxmox-ve/control	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/proxmox-ve/control	2010-10-04 13:47:16 UTC (rev 5205)
@@ -0,0 +1,15 @@
+Package: proxmox-ve- at KERNEL_VER@
+Version: @RELEASE at -@PKGREL@
+Architecture: all
+Section: admin
+Priority: optional
+Conflicts: proxmox-ve, pve-kernel, proxmox-ve-2.6.18, proxmox-ve-2.6.24 
+Replaces: proxmox-ve, pve-kernel, proxmox-ve-2.6.18, proxmox-ve-2.6.24
+Depends: libc6 (>= 2.7-18), pve-kernel- at KVNAME@, pve-firmware, ksm-control-daemon, pve-manager, qemu-server, pve-qemu-kvm, ssh, apt, vncterm, vzctl, vzdump, vzprocps, vzquota
+Maintainer: Proxmox Support Team <support at proxmox.com>
+Description: The Proxmox Virtual Environment
+ The Proxmox Virtual Environment is an easy to use Open Source
+ virtualization platform for running Virtual Appliances and Virtual
+ Machines. This is a virtual package which will install everything
+ needed. This package also depends on the latest available proxmox
+ kernel from the 2.6.32 series.

Added: pve-kernel-2.6.35/trunk/proxmox-ve/copyright
===================================================================
--- pve-kernel-2.6.35/trunk/proxmox-ve/copyright	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/proxmox-ve/copyright	2010-10-04 13:47:16 UTC (rev 5205)
@@ -0,0 +1,20 @@
+
+This software is written by Proxmox Server Solutions GmbH <support at proxmox.com>
+
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 dated June, 1991.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+   MA 02110-1301 USA
+
+The complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.

Added: pve-kernel-2.6.35/trunk/proxmox-ve/postinst
===================================================================
--- pve-kernel-2.6.35/trunk/proxmox-ve/postinst	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/proxmox-ve/postinst	2010-10-04 13:47:16 UTC (rev 5205)
@@ -0,0 +1,74 @@
+#! /bin/sh
+
+# Abort if any command returns an error value 
+set -e 
+
+# This script is called as the last step of the installation of the 
+# package.  All the package's files are in place, dpkg has already
+# done its automatic conffile handling, and all the packages we depend
+# of are already fully installed and configured.
+
+# The following idempotent stuff doesn't generally need protecting 
+# against being run in the abort-* cases.
+
+case "$1" in
+  configure)
+    # Configure this package.  If the package must prompt the user for
+    # information, do it here.
+
+    # install release key
+    echo -n "installing proxmox release key: "
+    /usr/bin/apt-key add '/usr/share/doc/proxmox-ve- at KERNEL_VER@/proxmox-release at proxmox.com.pubkey' || /bin/true
+
+    # There are three sub-cases:
+    if test "${2+set}" != set; then
+      # We're being installed by an ancient dpkg which doesn't remember
+      # which version was most recently configured, or even whether
+      # there is a most recently configured version.
+      :
+
+    elif test -z "$2" -o "$2" = "<unknown>"; then
+      # The package has not ever been configured on this system, or was
+      # purged since it was last configured.
+      :
+
+    else
+      # Version $2 is the most recently configured version of this
+      # package.
+      :
+
+    fi ;;
+  abort-upgrade)
+    # Back out of an attempt to upgrade this package FROM THIS VERSION
+    # to version $2.  Undo the effects of "prerm upgrade $2".
+    :
+
+    ;;
+  abort-remove)
+    if test "$2" != in-favour; then
+      echo "$0: undocumented call to \`postinst $*'" 1>&2
+      exit 0
+    fi
+    # Back out of an attempt to remove this package, which was due to
+    # a conflict with package $3 (version $4).  Undo the effects of
+    # "prerm remove in-favour $3 $4".
+    :
+
+    ;;
+  abort-deconfigure)
+    if test "$2" != in-favour -o "$5" != removing; then
+      echo "$0: undocumented call to \`postinst $*'" 1>&2
+      exit 0
+    fi
+    # Back out of an attempt to deconfigure this package, which was
+    # due to package $6 (version $7) which we depend on being removed
+    # to make way for package $3 (version $4).  Undo the effects of
+    # "prerm deconfigure in-favour $3 $4 removing $6 $7".
+    :
+
+    ;;
+  *) echo "$0: didn't understand being called with \`$1'" 1>&2
+     exit 0;;
+esac
+
+exit 0


Property changes on: pve-kernel-2.6.35/trunk/proxmox-ve/postinst
___________________________________________________________________
Added: svn:executable
   + *

Added: pve-kernel-2.6.35/trunk/proxmox-ve/proxmox-release at proxmox.com.pubkey
===================================================================
--- pve-kernel-2.6.35/trunk/proxmox-ve/proxmox-release at proxmox.com.pubkey	                        (rev 0)
+++ pve-kernel-2.6.35/trunk/proxmox-ve/proxmox-release at proxmox.com.pubkey	2010-10-04 13:47:16 UTC (rev 5205)
@@ -0,0 +1,30 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.6 (GNU/Linux)
+
+mQGiBEkGw8URBACes0Nn6KGrblcNfylEonfSuqEyCDz4P0SoPc09ieqhacdJYZZu
+gOJkdAQMESUvVG9S/KolkQI0eR3VqW5PxdC7Uon8lnLofy+iicJhaZvBQA8voOJ9
+Myv4SrrBPrsa64pLppZ2zYJ2Vj+x26tvYRG1L8G20FDKejnrcLmAOLz+twCgo5rj
+Lcyh1gGAE/ktluKIS6EpfmsEAJAjyiiDs2HZcBh7RrlV25kZEk7rwwrrMXmkGpBb
+iElZjbRY6cHl+IvwEHD89ShuADuiEOVMqQ8nSbaFQAblqBK+Q1klZUxmppw1UfG5
++x3X7MrULg0YAgAMqwBPgYrAYfV6tdzO3HY6dP5aRNBVYxCgvnXpHw4XW4GC8qRO
+NmBPBACLSxG4Q2md/6jHVnoQT4UsPA5Nn2imKsLqS62WQBQyM8W+LtlyxT+QAf+t
++D/XFv5ZUQQq766cR4WnmOkNLAqmFaSrUF2T58UPxOC6TsTkrFkI+kVJFqHedag2
+9n+EFXK/DzrsmElWiMyYuMYkOzNn/2cbYnpLq4zO5cwi7BNoRrQxUHJveG1veCBS
+ZWxlYXNlIEtleSA8cHJveG1veC1yZWxlYXNlQHByb3htb3guY29tPohgBBMRAgAg
+BQJJBsPFAhsDBgsJCAcDAgQVAggDBBYCAwECHgECF4AACgkQwjrH9JiH+VqTLwCf
+TVzFdNADeZ00bKpyE8u4BHZJK+4AmwVbhpnb4EkSHYqNhrhEIVSynxm0uQINBEkG
+w8oQCAD323YC4+yp1fJGyI2o8GjnPWKRbmJPhoaeungGkFD0M2Ke2/NlgoQnwwyH
+FRCLxmjc48r++hlSN+OhVuGrvSl5mh0R3Tv5m17OD1KmkAMT9TcrZ7mqn2D79iv3
+TkO27Z76Rs+Wnfu/dc+85wCJDGx9oK8hmJTu6Qc62AkdVCfTULoKSQ3u7LFkGQP9
+I+wtOLnLIc8TpGNuwJ97gIAsfZEkbg3zS39loPwQdIV4b48Hfiz7uMEc4Zwx2bqL
++6sp1vK3jfr7Vb1vQyqG9pvDQ5LSbjh9PCCEmbLtyEIDx8hogNZ9M0ShgZzOwRj4
+vF/sdAdxIT4/7TlMi8jzZqFYSDN/AAMFCACBFBtH1KF45gt70BwgDDv+2zxCy3nP
+3kT2W2f2P3OzTSsu0HGGrIZFtllemAVv89sXlJvZEOzIDvWFizwTiaSW0orj1ni4
+Rz5tNIKnv2T1nJbKWnK7hKO+VKopSCADfFW4FxOwnkV1tV/k7WtCsP+y7X4b/9PA
+EFDYY81MZo3pXvvk989SmoNL2mAdcVYRn1vVCAsciVX6QZFuaupFl4J+57G0OO9P
+tNXn9Hesw7qMo0H52WLp/l8WOhKcghV3+2V4NgpPqZiWD0bOclSO41gmeRWyNo0h
+lVzmRVZF0Np9gXzIBVvaq3pHMglb8rOLm/AsNxgZlDe1PqJiSWFZR96EiEkEGBEC
+AAkFAkkGw8oCGwwACgkQwjrH9JiH+VrCsgCfQA5nxXoNgngILmP3+J6iazwbt48A
+njRGHVUQoR1WV2YlrbwONA2D5Epq
+=twvw
+-----END PGP PUBLIC KEY BLOCK-----




More information about the pve-devel mailing list